Bug 14173 - Paging on 'recent comments' page in OPAC is not displaying correctly
Summary: Paging on 'recent comments' page in OPAC is not displaying correctly
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P3 normal (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Whiteboard:
Keywords: rel_3_16_candidate
Depends on:
Blocks:
 
Reported: 2015-05-08 14:25 UTC by Katrin Fischer
Modified: 2016-12-05 21:23 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Screenshot of broken paging (1.79 KB, image/png)
2015-05-08 14:25 UTC, Katrin Fischer
Details
Bug 14173: Paging on 'recent comments' page in OPAC is not displaying correctly (1.79 KB, patch)
2015-06-01 18:38 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[Signed-off] Bug 14173: Paging on 'recent comments' page in OPAC is not displaying correctly (1.99 KB, patch)
2015-06-02 06:03 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14173: Paging on 'recent comments' page in OPAC is not displaying correctly (2.04 KB, patch)
2015-06-03 11:12 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-05-08 14:25:55 UTC
Created attachment 38992 [details]
Screenshot of broken paging

The recent comments paging is displayig the 'current' page to the right side of the paging list. (see screenshot)

In order to test this you need to activate the page via system preference and then add 21+ comments to different records in your catalog.

There is also a small bug, as we are missing a space before the 'by' in each entry.

Verified on a somewhat recent master and a 3.18.5.1 installation.
Comment 1 Bernardo Gonzalez Kriegel 2015-06-01 18:38:36 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-06-02 06:03:58 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2015-06-02 08:11:17 UTC
Setting to P3 since usability of OPAC is affected.
Comment 4 Jonathan Druart 2015-06-03 11:12:18 UTC
Created attachment 39799 [details] [review]
Bug 14173: Paging on 'recent comments' page in OPAC is not displaying correctly

This patch corrects the display of current page on
a multipage recent comments.

To test:
1) Enable OpacShowRecentComments

2) Add multiple comments to multiple records
I used a script to add multiple lines like
"insert into reviews values ($i, 51, $i, 'Comment $i', 1, '2015-06-01 00:00:00')"
to table reviews

3) On OPAC, go to 'Recent comments', verify the bug

4) Apply the patch

5) Reload and check correct display

Can't found missing space near 'by' from description.
Display is correct for me.

Followed test plan, displays as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 5 Jonathan Druart 2015-06-03 11:14:11 UTC
Tested on master, 3.20, 3.18, 3.16 and 3.14, the bug exist on all versions and the patch fixes it!
Comment 6 Tomás Cohen Arazi 2015-06-05 16:06:12 UTC
Patch pushed to master.

Good catch Bernardo!
Comment 7 Chris Cormack 2015-06-07 08:42:06 UTC
Pushed to 3.20.x will be in 3.20.1
Comment 8 Katrin Fischer 2015-06-17 09:04:43 UTC
Liz, can you pick this for 3.18 maybe?
Comment 9 Liz Rea 2015-06-22 22:42:23 UTC
Patch pushed to 3.18.x will be in 3.18.08
Comment 10 Mason James 2015-07-25 10:08:22 UTC
Pushed to 3.16.x, will be in 3.16.13